struct st_scif {                                        /* struct SCIF  */
               union {                                  /* SCSMR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :5;      /*              */
                            unsigned short SRC :3;      /*    SRC       */
                            unsigned short CA  :1;      /*    CA        */
                            unsigned short CHR :1;      /*    CHR       */
                            unsigned short _PE :1;      /*    PE        */
                            unsigned short OE  :1;      /*    O/E       */
                            unsigned short STOP:1;      /*    STOP      */
                            unsigned short     :1;      /*              */
                            unsigned short CKS :2;      /*    CKS       */
                            }       BIT;                /*              */
                     }          SCSMR;                  /*              */
               char             wk1[2];                 /*              */
               unsigned char    SCBRR;                  /* SCBRR        */
               char             wk2[3];                 /*              */
               union {                                  /* SCSCR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :4;      /*              */
                            unsigned short TSIE:1;      /*    TSIE      */
                            unsigned short ERIE:1;      /*    ERIE      */
                            unsigned short BRIE:1;      /*    BRIE      */
                            unsigned short DRIE:1;      /*    DRIE      */
                            unsigned short TIE :1;      /*    TIE       */
                            unsigned short RIE :1;      /*    RIE       */
                            unsigned short TE  :1;      /*    TE        */
                            unsigned short RE  :1;      /*    RE        */
                            unsigned short     :2;      /*              */
                            unsigned short CKE :2;      /*    CKE       */
                            }       BIT;                /*              */
                     }          SCSCR;                  /*              */
               char             wk3[2];                 /*              */
               unsigned char    SCTDSR;                 /* SCTDSR       */
               char             wk4[3];                 /*              */
               union {                                  /* SCFER        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short    :2;       /*              */
                            unsigned short PER:6;       /*    PER       */
                            unsigned short    :2;       /*              */
                            unsigned short FER:6;       /*    FER       */
                            }       BIT;                /*              */
                     }          SCFER;                  /*              */
               char             wk5[2];                 /*              */
               union {                                  /* SCSSR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short     :6;      /*              */
                            unsigned short ORER:1;      /*    ORER      */
                            unsigned short TSF :1;      /*    TSF       */
                            unsigned short ER  :1;      /*    ER        */
                            unsigned short TEND:1;      /*    TEND      */
                            unsigned short TDFE:1;      /*    TDFE      */
                            unsigned short BRK :1;      /*    BRK       */
                            unsigned short FER :1;      /*    FER       */
                            unsigned short PER :1;      /*    PER       */
                            unsigned short RDF :1;      /*    RDF       */
                            unsigned short DR  :1;      /*    DR        */
                            }       BIT;                /*              */
                     }          SCSSR;                  /*              */
               char             wk6[2];                 /*              */
               union {                                  /* SCFCR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Bit  Access */
                            unsigned short TSE  :1;     /*    TSE       */
                            unsigned short TCRST:1;     /*    TCRST     */
                            unsigned short      :3;     /*              */
                            unsigned short RSTRG:3;     /*    RSTRG     */
                            unsigned short RTRG :2;     /*    RTRG      */
                            unsigned short TTRG :2;     /*    TTRG      */
                            unsigned short MCE  :1;     /*    MCE       */
                            unsigned short TFRST:1;     /*    TFRST     */
                            unsigned short RFRST:1;     /*    RFRST     */
                            unsigned short LOOP :1;     /*    LOOP      */
                            }       BIT;                /*              */
                     }          SCFCR;                  /*              */
               char             wk7[2];                 /*              */
               union {                                  /* SCFDR        */
                     unsigned short WORD;               /*  Word Access */
                     struct {                           /*  Byte Access */
                            unsigned short  :1;         /*              */
                            unsigned short T:7;         /*    T         */
                            unsigned short  :1;         /*              */
                            unsigned short R:7;         /*    R         */
                            }       BIT;                /*              */
                     }          SCFDR;                  /*              */
               char             wk8[2];                 /*              */
               unsigned char    SCFTDR;                 /* SCFTDR       */
               char             wk9[3];                 /*              */
               unsigned char    SCFRDR;                 /* SCFRDR       */
};                                                      /*              */

union un_stbcr3 {                                       /* union STBCR3 */
                unsigned char BYTE;                     /*  Byte Access */
                struct {                                /*  Bit  Access */
                       unsigned char _USB  :1;          /*    USB       */
                       unsigned char       :1;          /*              */
                       unsigned char _CMT  :1;          /*    CMT       */
                       unsigned char _TPU  :1;          /*    TPU       */
                       unsigned char _ADC  :1;          /*    ADC       */
                       unsigned char _IrDA :1;          /*    IrDA      */
                       unsigned char _SCIF2:1;          /*    SCIF2     */
                       unsigned char _SCIF0:1;          /*    SCIF0     */
                       }      BIT;                      /*              */
};

struct st_pfc {                                         /* struct PFC   */
              union {                                   /* PACR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short PA7MD:2;      /*    PA7MD     */
                           unsigned short PA6MD:2;      /*    PA6MD     */
                           unsigned short PA5MD:2;      /*    PA5MD     */
                           unsigned short PA4MD:2;      /*    PA4MD     */
                           unsigned short PA3MD:2;      /*    PA3MD     */
                           unsigned short PA2MD:2;      /*    PA2MD     */
                           unsigned short PA1MD:2;      /*    PA1MD     */
                           unsigned short PA0MD:2;      /*    PA0MD     */
                           }       BIT;                 /*              */
                    }           PACR;                   /*              */
              union {                                   /* PBCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short PB7MD:2;      /*    PB7MD     */
                           unsigned short PB6MD:2;      /*    PB6MD     */
                           unsigned short PB5MD:2;      /*    PB5MD     */
                           unsigned short PB4MD:2;      /*    PB4MD     */
                           unsigned short PB3MD:2;      /*    PB3MD     */
                           unsigned short PB2MD:2;      /*    PB2MD     */
                           unsigned short PB1MD:2;      /*    PB1MD     */
                           unsigned short PB0MD:2;      /*    PB0MD     */
                           }       BIT;                 /*              */
                    }           PBCR;                   /*              */
              union {                                   /* PCCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short PC7MD:2;      /*    PC7MD     */
                           unsigned short PC6MD:2;      /*    PC6MD     */
                           unsigned short PC5MD:2;      /*    PC5MD     */
                           unsigned short PC4MD:2;      /*    PC4MD     */
                           unsigned short PC3MD:2;      /*    PC3MD     */
                           unsigned short PC2MD:2;      /*    PC2MD     */
                           unsigned short PC1MD:2;      /*    PC1MD     */
                           unsigned short PC0MD:2;      /*    PC0MD     */
                           }       BIT;                 /*              */
                    }           PCCR;                   /*              */
              union {                                   /* PDCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short PD7MD:2;      /*    PD7MD     */
                           unsigned short PD6MD:2;      /*    PD6MD     */
                           unsigned short PD5MD:2;      /*    PD5MD     */
                           unsigned short PD4MD:2;      /*    PD4MD     */
                           unsigned short PD3MD:2;      /*    PD3MD     */
                           unsigned short PD2MD:2;      /*    PD2MD     */
                           unsigned short PD1MD:2;      /*    PD1MD     */
                           unsigned short PD0MD:2;      /*    PD0MD     */
                           }       BIT;                 /*              */
                    }           PDCR;                   /*              */
              union {                                   /* PECR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short PE7MD:2;      /*    PE7MD     */
                           unsigned short PE6MD:2;      /*    PE6MD     */
                           unsigned short PE5MD:2;      /*    PE5MD     */
                           unsigned short PE4MD:2;      /*    PE4MD     */
                           unsigned short PE3MD:2;      /*    PE3MD     */
                           unsigned short PE2MD:2;      /*    PE2MD     */
                           unsigned short PE1MD:2;      /*    PE1MD     */
                           unsigned short PE0MD:2;      /*    PE0MD     */
                           }       BIT;                 /*              */
                    }           PECR;                   /*              */
              union {                                   /* PFCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short PF7MD:2;      /*    PF7MD     */
                           unsigned short PF6MD:2;      /*    PF6MD     */
                           unsigned short PF5MD:2;      /*    PF5MD     */
                           unsigned short PF4MD:2;      /*    PF4MD     */
                           unsigned short PF3MD:2;      /*    PF3MD     */
                           unsigned short PF2MD:2;      /*    PF2MD     */
                           unsigned short PF1MD:2;      /*    PF1MD     */
                           unsigned short PF0MD:2;      /*    PF0MD     */
                           }       BIT;                 /*              */
                    }           PFCR;                   /*              */
              union {                                   /* PGCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short PG7MD:2;      /*    PG7MD     */
                           unsigned short PG6MD:2;      /*    PG6MD     */
                           unsigned short PG5MD:2;      /*    PG5MD     */
                           unsigned short PG4MD:2;      /*    PG4MD     */
                           unsigned short PG3MD:2;      /*    PG3MD     */
                           unsigned short PG2MD:2;      /*    PG2MD     */
                           unsigned short PG1MD:2;      /*    PG1MD     */
                           unsigned short PG0MD:2;      /*    PG0MD     */
                           }       BIT;                 /*              */
                    }           PGCR;                   /*              */
              union {                                   /* PHCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short      :2;      /*              */
                           unsigned short PH6MD:2;      /*    PH6MD     */
                           unsigned short PH5MD:2;      /*    PH5MD     */
                           unsigned short PH4MD:2;      /*    PH4MD     */
                           unsigned short PH3MD:2;      /*    PH3MD     */
                           unsigned short PH2MD:2;      /*    PH2MD     */
                           unsigned short PH1MD:2;      /*    PH1MD     */
                           unsigned short PH0MD:2;      /*    PH0MD     */
                           }       BIT;                 /*              */
                    }           PHCR;                   /*              */
              union {                                   /* PJCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short PJ7MD:2;      /*    PJ7MD     */
                           unsigned short PJ6MD:2;      /*    PJ6MD     */
                           unsigned short PJ5MD:2;      /*    PJ5MD     */
                           unsigned short PJ4MD:2;      /*    PJ4MD     */
                           unsigned short PJ3MD:2;      /*    PJ3MD     */
                           unsigned short PJ2MD:2;      /*    PJ2MD     */
                           unsigned short PJ1MD:2;      /*    PJ1MD     */
                           unsigned short PJ0MD:2;      /*    PJ0MD     */
                           }       BIT;                 /*              */
                    }           PJCR;                   /*              */
              union {                                   /* PKCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short PK7MD:2;      /*    PK7MD     */
                           unsigned short PK6MD:2;      /*    PK6MD     */
                           unsigned short PK5MD:2;      /*    PK5MD     */
                           unsigned short PK4MD:2;      /*    PK4MD     */
                           unsigned short PK3MD:2;      /*    PK3MD     */
                           unsigned short PK2MD:2;      /*    PK2MD     */
                           unsigned short PK1MD:2;      /*    PK1MD     */
                           unsigned short PK0MD:2;      /*    PK0MD     */
                           }       BIT;                 /*              */
                    }           PKCR;                   /*              */
              union {                                   /* PLCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short      :8;      /*              */
                           unsigned short PL3MD:2;      /*    PL3MD     */
                           unsigned short PL2MD:2;      /*    PL2MD     */
                           unsigned short PL1MD:2;      /*    PL1MD     */
                           unsigned short PL0MD:2;      /*    PL0MD     */
                           }       BIT;                 /*              */
                    }           PLCR;                   /*              */
              union {                                   /* SCPCR        */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short       :4;     /*              */
                           unsigned short SCP5MD:2;     /*    SCP5MD    */
                           unsigned short SCP4MD:2;     /*    SCP4MD    */
                           unsigned short SCP3MD:2;     /*    SCP3MD    */
                           unsigned short SCP2MD:2;     /*    SCP2MD    */
                           unsigned short SCP1MD:2;     /*    SCP1MD    */
                           unsigned short SCP0MD:2;     /*    SCP0MD    */
                           }       BIT;                 /*              */
                    }           SCPCR;                  /*              */
              union {                                   /* PMCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short      :2;      /*              */
                           unsigned short PM6MD:2;      /*    PM6MD     */
                           unsigned short      :2;      /*              */
                           unsigned short PM4MD:2;      /*    PM4MD     */
                           unsigned short PM3MD:2;      /*    PM3MD     */
                           unsigned short PM2MD:2;      /*    PM2MD     */
                           unsigned short PM1MD:2;      /*    PM1MD     */
                           unsigned short PM0MD:2;      /*    PM0MD     */
                           }       BIT;                 /*              */
                    }           PMCR;                   /*              */
              union {                                   /* PNCR         */
                    unsigned short WORD;                /*  Word Access */
                    struct {                            /*  Bit  Access */
                           unsigned short PN7MD:2;      /*    PN7MD     */
                           unsigned short PN6MD:2;      /*    PN6MD     */
                           unsigned short PN5MD:2;      /*    PN5MD     */
                           unsigned short PN4MD:2;      /*    PN4MD     */
                           unsigned short PN3MD:2;      /*    PN3MD     */
                           unsigned short PN2MD:2;      /*    PN2MD     */
                           unsigned short PN1MD:2;      /*    PN1MD     */
                           unsigned short PN0MD:2;      /*    PN0MD     */
                           }       BIT;                 /*              */
                    }           PNCR;                   /*              */
              char              wk1[327724];            /*              */
              union {                                   /* PECR2        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PE6MD:1;       /*    PE6MD     */
                           unsigned char PE5MD:1;       /*    PE5MD     */
                           unsigned char PE4MD:1;       /*    PE4MD     */
                           }       BIT;                 /*              */
                    }           PECR2;                  /*              */
              char              wk2;                    /*              */
              union {                                   /* PFCR2        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :4;       /*              */
                           unsigned char PF3MD:1;       /*    PF3MD     */
                           unsigned char PF2MD:1;       /*    PF2MD     */
                           unsigned char PF1MD:1;       /*    PF1MD     */
                           unsigned char PF0MD:1;       /*    PF0MD     */
                           }       BIT;                 /*              */
                    }           PFCR2;                  /*              */
              char              wk3[15];                /*              */
              union {                                   /* PNCR2        */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char      :1;       /*              */
                           unsigned char PN6MD:1;       /*    PN6MD     */
                           unsigned char PN5MD:1;       /*    PN5MD     */
                           unsigned char PN4MD:1;       /*    PN4MD     */
                           unsigned char PN3MD:1;       /*    PN3MD     */
                           unsigned char PN2MD:1;       /*    PN2MD     */
                           unsigned char PN1MD:1;       /*    PN1MD     */
                           unsigned char PN0MD:1;       /*    PN0MD     */
                           }       BIT;                 /*              */
                    }           PNCR2;                  /*              */
};                                                      /*              */

struct st_pa {                                          /* struct PA    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pb {                                          /* struct PB    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pc {                                          /* struct PC    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pd {                                          /* struct PD    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pe {                                          /* struct PE    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pf {                                          /* struct PF    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pg {                                          /* struct PG    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_ph {                                          /* struct PH    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char   :1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pj {                                          /* struct PJ    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pk {                                          /* struct PK    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pl {                                          /* struct PL    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char   :4;           /*    Bit 7-4   */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_scp {                                         /* struct SCP   */
              union {                                   /*              */
                    unsigned char BYTE;                 /*  Byte Access */
                    struct {                            /*  Bit  Access */
                           unsigned char   :2;          /*    Bit 7,6   */
                           unsigned char B5:1;          /*    Bit 5     */
                           unsigned char B4:1;          /*    Bit 4     */
                           unsigned char B3:1;          /*    Bit 3     */
                           unsigned char B2:1;          /*    Bit 2     */
                           unsigned char B1:1;          /*    Bit 1     */
                           unsigned char B0:1;          /*    Bit 0     */
                           }      BIT;                  /*              */
                    }           DR;                     /*              */
};                                                      /*              */
struct st_pm {                                          /* struct PM    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char   :1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char   :1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};                                                      /*              */
struct st_pn {                                          /* struct PN    */
             union {                                    /*              */
                   unsigned char BYTE;                  /*  Byte Access */
                   struct {                             /*  Bit  Access */
                          unsigned char B7:1;           /*    Bit 7     */
                          unsigned char B6:1;           /*    Bit 6     */
                          unsigned char B5:1;           /*    Bit 5     */
                          unsigned char B4:1;           /*    Bit 4     */
                          unsigned char B3:1;           /*    Bit 3     */
                          unsigned char B2:1;           /*    Bit 2     */
                          unsigned char B1:1;           /*    Bit 1     */
                          unsigned char B0:1;           /*    Bit 0     */
                          }      BIT;                   /*              */
                   }            DR;                     /*              */
};


#define SCIF0  (*(volatile struct st_scif  *)0xA4400000)
#define SCIF2  (*(volatile struct st_scif  *)0xA4410000)
#define PFC    (*(volatile struct st_pfc   *)0xA4000100)/* PFC   Address*/
#define STBCR3 (*(volatile union  un_stbcr3*)0xA40A0000)/* STBCR3Address*/
#define PA     (*(volatile struct st_pa    *)0xA4000120)/* PA    Address*/
#define PB     (*(volatile struct st_pb    *)0xA4000122)/* PB    Address*/
#define PC     (*(volatile struct st_pc    *)0xA4000124)/* PC    Address*/
#define PD     (*(volatile struct st_pd    *)0xA4000126)/* PD    Address*/
#define PE     (*(volatile struct st_pe    *)0xA4000128)/* PE    Address*/
#define PF     (*(volatile struct st_pf    *)0xA400012A)/* PF    Address*/
#define PG     (*(volatile struct st_pg    *)0xA400012C)/* PG    Address*/
#define PH     (*(volatile struct st_ph    *)0xA400012E)/* PH    Address*/
#define PJ     (*(volatile struct st_pj    *)0xA4000130)/* PJ    Address*/
#define PK     (*(volatile struct st_pk    *)0xA4000132)/* PK    Address*/
#define PL     (*(volatile struct st_pl    *)0xA4000134)/* PL    Address*/
#define SCP    (*(volatile struct st_scp   *)0xA4000136)/* SCP   Address*/
#define PM     (*(volatile struct st_pm    *)0xA4000138)/* PM    Address*/
#define PN     (*(volatile struct st_pn    *)0xA400013A)/* PN    Address*/

extern volatile struct st_scif *SCIF;